Issue 121938 - [sidebar] for text object, in Text panel some icons are enabled but do nothing
Summary: [sidebar] for text object, in Text panel some icons are enabled but do nothing
Status: RESOLVED FIXED
Alias: None
Product: Impress
Classification: Application
Component: editing (show other issues)
Version: 4.0.0-dev
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.0.0
Assignee: zhengfan
QA Contact:
URL:
Keywords:
Depends on:
Blocks: [sidebar]
  Show dependency tree
 
Reported: 2013-03-22 15:09 UTC by Regina Henschel
Modified: 2013-07-11 14:41 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2013-03-22 15:09:26 UTC
Insert a text object and write something into it.
Click the text object, so that it is selected but not in edit mode.
Some icons are enabled, but do nothing. Other icons are disabled.

All these properties should be enabled and active, because these properties can be set in the font dialog although the text box is not in edit mode. These properties are then applied to the whole text.
Comment 1 Andre 2013-03-25 13:41:31 UTC
The text property panel was the first panel to be migrated.  I did this only for the controls directly in the panel and ignored deliberatly the drop down controls.  I did this to have something early on to test layouting and other stuff.

Fan is currently working on completing the work.  He should be finished any day now.

Reassigning to Fan.
Comment 2 zhengfan 2013-04-05 15:50:29 UTC
Known issue in Impress and Calc. Will be fixed in following code checking in.
Comment 3 SVN Robot 2013-04-06 14:55:14 UTC
"zhengfan" committed SVN revision 1465255 into branches/sidebar:
i121938: Fix 121938 in this pack, also include some paragraph panel issues so...